Bug 17691 - Add serial subscriptions info on vendor profile page
Summary: Add serial subscriptions info on vendor profile page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Gracie
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13726
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-29 08:06 UTC by Josef Moravec
Modified: 2017-01-22 19:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17691 - add serial subscription (1.24 KB, patch)
2017-01-18 03:16 UTC, Gracie
Details | Diff | Splinter Review
Bug 17691 - add serial subscription (1.27 KB, patch)
2017-01-18 03:56 UTC, Gracie
Details | Diff | Splinter Review
[SIGNED OFF] Bug 17691 - add serial subscription (1.39 KB, patch)
2017-01-18 20:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17691 - add serial subscription (1.43 KB, patch)
2017-01-19 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17691: Does not repeat "subscriptions" (1.36 KB, patch)
2017-01-19 13:29 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2016-11-29 08:06:51 UTC
Discovered when testing 13726 - count of subscriptions passed from supplier.pl to template, but template does not use it.

Moreover, it would be useful to have even more information or at least count info + link to subscriptions on vendor profile page.
Comment 1 Jonathan Druart 2016-11-29 08:16:24 UTC
It is used in includes/acquisitions-toolbar.inc
Comment 2 Josef Moravec 2016-11-29 10:53:15 UTC
(In reply to Jonathan Druart from comment #1)
> It is used in includes/acquisitions-toolbar.inc

Ah, I see, thanks.

But still think that more detailed info about subscriptions could be useful on vendor page...
Comment 3 Gracie 2017-01-18 03:16:55 UTC
Created attachment 59137 [details] [review]
Bug 17691 - add serial subscription

Adding some subscription information to the vendor page

To test
- Search for a vendor, access profile
- Under Contact, Subscription details
Comment 4 Katrin Fischer 2017-01-18 03:29:38 UTC
I really like the idea!

Looking at this from the view of translators, I'd like to make a suggestion:

+                    <h2>Subscription Details</h2>
+                    <p><strong>This vender has: </strong>[% subscriptioncount %]
+                    [% IF subscriptioncount == 1 %] subscription [% ELSE %] subscriptions [% END %]
+                    </p>
+

The h2 is cool, but capitalization should be: Subscription details

The paragraph will be turned into 2 strings by the translation tools:
- This vendor has
- subscription subscriptions (with some additional markup %s in between)
Strings show up out of context for translators and in alphabetical order - so that makes it really hard to 'get it right' - depending on the language it's also often hard to predict, what the right sequence of words/grammar should be like.

My suggestion would be to make it:
Number of subscriptions: [% subscriptioncount %]
Comment 5 Gracie 2017-01-18 03:56:11 UTC
Created attachment 59139 [details] [review]
Bug 17691 - add serial subscription

Adding some subscription information to the vendor page

To test
- Search for a vendor, access profile
- Under Contact, Subscription details
Comment 6 Katrin Fischer 2017-01-18 20:54:03 UTC
Created attachment 59178 [details] [review]
[SIGNED OFF] Bug 17691 - add serial subscription

Adding some subscription information to the vendor page

To test
- Search for a vendor, access profile
- Under Contact, Subscription details

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed a missing </div>
Comment 7 Jonathan Druart 2017-01-19 13:29:29 UTC
Created attachment 59244 [details] [review]
Bug 17691 - add serial subscription

Adding some subscription information to the vendor page

To test
- Search for a vendor, access profile
- Under Contact, Subscription details

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed a missing </div>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jonathan Druart 2017-01-19 13:29:37 UTC
Created attachment 59245 [details] [review]
Bug 17691: Does not repeat "subscriptions"

Number of subscriptions: X subscriptions
Sound like we repeat "subscriptions"
Replaced with
  Number of subscriptions: X

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Kyle M Hall 2017-01-19 13:37:20 UTC
Pushed to master for 17.05, thanks Grace!
Comment 10 Katrin Fischer 2017-01-22 19:15:59 UTC
This won't get ported back to 16.11.x as it is an enhancement.